Package org.codehaus.groovy.ast

# Class TransformingCodeVisitor

java.lang.Object
org.codehaus.groovy.ast.CodeVisitorSupport
org.codehaus.groovy.ast.TransformingCodeVisitor

All Implemented Interfaces:
  `GroovyCodeVisitor`

    public class TransformingCodeVisitor
    extends CodeVisitorSupport

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TransformingCodeVisitor​(ClassCodeExpressionTransformer trn)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `visitArgumentlistExpression​(ArgumentListExpression ale)` |
  `void` | `visitArrayExpression​(ArrayExpression expression)` |
  `void` | `visitAssertStatement​(AssertStatement statement)` |
  `void` | `visitAttributeExpression​(AttributeExpression expression)` |
  `void` | `visitBinaryExpression​(BinaryExpression expression)` |
  `void` | `visitBitwiseNegationExpression​(BitwiseNegationExpression expression)` |
  `void` | `visitBlockStatement​(BlockStatement block)` |
  `void` | `visitBooleanExpression​(BooleanExpression expression)` |
  `void` | `visitBreakStatement​(BreakStatement statement)` |
  `void` | `visitBytecodeExpression​(BytecodeExpression cle)` |
  `void` | `visitCaseStatement​(CaseStatement statement)` |
  `void` | `visitCastExpression​(CastExpression expression)` |
  `void` | `visitCatchStatement​(CatchStatement statement)` |
  `void` | `visitClassExpression​(ClassExpression expression)` |
  `void` | `visitClosureExpression​(ClosureExpression expression)` |
  `void` | `visitClosureListExpression​(ClosureListExpression cle)` |
  `void` | `visitConstantExpression​(ConstantExpression expression)` |
  `void` | `visitContinueStatement​(ContinueStatement statement)` |
  `void` | `visitDeclarationExpression​(DeclarationExpression expression)` |
  `void` | `visitDoWhileLoop​(DoWhileStatement loop)` |
  `void` | `visitExpressionStatement​(ExpressionStatement statement)` |
  `void` | `visitFieldExpression​(FieldExpression expression)` |
  `void` | `visitForLoop​(ForStatement forLoop)` |
  `void` | `visitGStringExpression​(GStringExpression expression)` |
  `void` | `visitIfElse​(IfStatement ifElse)` |
  `void` | `visitListExpression​(ListExpression expression)` |
  `void` | `visitMapEntryExpression​(MapEntryExpression expression)` |
  `void` | `visitMapExpression​(MapExpression expression)` |
  `void` | `visitMethodPointerExpression​(MethodPointerExpression expression)` |
  `void` | `visitNotExpression​(NotExpression expression)` |
  `void` | `visitPostfixExpression​(PostfixExpression expression)` |
  `void` | `visitPrefixExpression​(PrefixExpression expression)` |
  `void` | `visitPropertyExpression​(PropertyExpression expression)` |
  `void` | `visitRangeExpression​(RangeExpression expression)` |
  `void` | `visitReturnStatement​(ReturnStatement statement)` |
  `void` | `visitShortTernaryExpression​(ElvisOperatorExpression expression)` |
  `void` | `visitSpreadExpression​(SpreadExpression expression)` |
  `void` | `visitSpreadMapExpression​(SpreadMapExpression expression)` |
  `void` | `visitStaticMethodCallExpression​(StaticMethodCallExpression call)` |
  `void` | `visitSwitch​(SwitchStatement statement)` |
  `void` | `visitSynchronizedStatement​(SynchronizedStatement statement)` |
  `void` | `visitTernaryExpression​(TernaryExpression expression)` |
  `void` | `visitThrowStatement​(ThrowStatement statement)` |
  `void` | `visitTryCatchFinally​(TryCatchStatement statement)` |
  `void` | `visitTupleExpression​(TupleExpression expression)` |
  `void` | `visitUnaryMinusExpression​(UnaryMinusExpression expression)` |
  `void` | `visitUnaryPlusExpression​(UnaryPlusExpression expression)` |
  `void` | `visitVariableExpression​(VariableExpression expression)` |
  `void` | `visitWhileLoop​(WhileStatement loop)` |

  ### Methods inherited from class org.codehaus.groovy.ast.CodeVisitorSupport

  `afterSwitchConditionExpressionVisited, visitConstructorCallExpression, visitEmptyStatement, visitLambdaExpression, visitMethodCallExpression, visitMethodReferenceExpression`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.GroovyCodeVisitor

  `visitEmptyExpression, visitListOfExpressions`

- ## Constructor Details

  - ### TransformingCodeVisitor

    public TransformingCodeVisitor​(ClassCodeExpressionTransformer trn)

- ## Method Details

  - ### visitBlockStatement

    public void visitBlockStatement​(BlockStatement block)
    Specified by:
      `visitBlockStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitBlockStatement` in class `CodeVisitorSupport`

  - ### visitForLoop

    public void visitForLoop​(ForStatement forLoop)
    Specified by:
      `visitForLoop` in interface `GroovyCodeVisitor`
    Overrides:
      `visitForLoop` in class `CodeVisitorSupport`

  - ### visitWhileLoop

    public void visitWhileLoop​(WhileStatement loop)
    Specified by:
      `visitWhileLoop` in interface `GroovyCodeVisitor`
    Overrides:
      `visitWhileLoop` in class `CodeVisitorSupport`

  - ### visitDoWhileLoop

    public void visitDoWhileLoop​(DoWhileStatement loop)
    Specified by:
      `visitDoWhileLoop` in interface `GroovyCodeVisitor`
    Overrides:
      `visitDoWhileLoop` in class `CodeVisitorSupport`

  - ### visitIfElse

    public void visitIfElse​(IfStatement ifElse)
    Specified by:
      `visitIfElse` in interface `GroovyCodeVisitor`
    Overrides:
      `visitIfElse` in class `CodeVisitorSupport`

  - ### visitExpressionStatement

    public void visitExpressionStatement​(ExpressionStatement statement)
    Specified by:
      `visitExpressionStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitExpressionStatement` in class `CodeVisitorSupport`

  - ### visitReturnStatement

    public void visitReturnStatement​(ReturnStatement statement)
    Specified by:
      `visitReturnStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitReturnStatement` in class `CodeVisitorSupport`

  - ### visitAssertStatement

    public void visitAssertStatement​(AssertStatement statement)
    Specified by:
      `visitAssertStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitAssertStatement` in class `CodeVisitorSupport`

  - ### visitTryCatchFinally

    public void visitTryCatchFinally​(TryCatchStatement statement)
    Specified by:
      `visitTryCatchFinally` in interface `GroovyCodeVisitor`
    Overrides:
      `visitTryCatchFinally` in class `CodeVisitorSupport`

  - ### visitSwitch

    public void visitSwitch​(SwitchStatement statement)
    Specified by:
      `visitSwitch` in interface `GroovyCodeVisitor`
    Overrides:
      `visitSwitch` in class `CodeVisitorSupport`

  - ### visitCaseStatement

    public void visitCaseStatement​(CaseStatement statement)
    Specified by:
      `visitCaseStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitCaseStatement` in class `CodeVisitorSupport`

  - ### visitBreakStatement

    public void visitBreakStatement​(BreakStatement statement)
    Specified by:
      `visitBreakStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitBreakStatement` in class `CodeVisitorSupport`

  - ### visitContinueStatement

    public void visitContinueStatement​(ContinueStatement statement)
    Specified by:
      `visitContinueStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitContinueStatement` in class `CodeVisitorSupport`

  - ### visitSynchronizedStatement

    public void visitSynchronizedStatement​(SynchronizedStatement statement)
    Specified by:
      `visitSynchronizedStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitSynchronizedStatement` in class `CodeVisitorSupport`

  - ### visitThrowStatement

    public void visitThrowStatement​(ThrowStatement statement)
    Specified by:
      `visitThrowStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitThrowStatement` in class `CodeVisitorSupport`

  - ### visitStaticMethodCallExpression

    public void visitStaticMethodCallExpression​(StaticMethodCallExpression call)
    Specified by:
      `visitStaticMethodCallExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitStaticMethodCallExpression` in class `CodeVisitorSupport`

  - ### visitBinaryExpression

    public void visitBinaryExpression​(BinaryExpression expression)
    Specified by:
      `visitBinaryExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitBinaryExpression` in class `CodeVisitorSupport`

  - ### visitTernaryExpression

    public void visitTernaryExpression​(TernaryExpression expression)
    Specified by:
      `visitTernaryExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitTernaryExpression` in class `CodeVisitorSupport`

  - ### visitShortTernaryExpression

    public void visitShortTernaryExpression​(ElvisOperatorExpression expression)
    Specified by:
      `visitShortTernaryExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitShortTernaryExpression` in class `CodeVisitorSupport`

  - ### visitPostfixExpression

    public void visitPostfixExpression​(PostfixExpression expression)
    Specified by:
      `visitPostfixExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitPostfixExpression` in class `CodeVisitorSupport`

  - ### visitPrefixExpression

    public void visitPrefixExpression​(PrefixExpression expression)
    Specified by:
      `visitPrefixExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitPrefixExpression` in class `CodeVisitorSupport`

  - ### visitBooleanExpression

    public void visitBooleanExpression​(BooleanExpression expression)
    Specified by:
      `visitBooleanExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitBooleanExpression` in class `CodeVisitorSupport`

  - ### visitNotExpression

    public void visitNotExpression​(NotExpression expression)
    Specified by:
      `visitNotExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitNotExpression` in class `CodeVisitorSupport`

  - ### visitClosureExpression

    public void visitClosureExpression​(ClosureExpression expression)
    Specified by:
      `visitClosureExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitClosureExpression` in class `CodeVisitorSupport`

  - ### visitTupleExpression

    public void visitTupleExpression​(TupleExpression expression)
    Specified by:
      `visitTupleExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitTupleExpression` in class `CodeVisitorSupport`

  - ### visitListExpression

    public void visitListExpression​(ListExpression expression)
    Specified by:
      `visitListExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitListExpression` in class `CodeVisitorSupport`

  - ### visitArrayExpression

    public void visitArrayExpression​(ArrayExpression expression)
    Specified by:
      `visitArrayExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitArrayExpression` in class `CodeVisitorSupport`

  - ### visitMapExpression

    public void visitMapExpression​(MapExpression expression)
    Specified by:
      `visitMapExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitMapExpression` in class `CodeVisitorSupport`

  - ### visitMapEntryExpression

    public void visitMapEntryExpression​(MapEntryExpression expression)
    Specified by:
      `visitMapEntryExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitMapEntryExpression` in class `CodeVisitorSupport`

  - ### visitRangeExpression

    public void visitRangeExpression​(RangeExpression expression)
    Specified by:
      `visitRangeExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitRangeExpression` in class `CodeVisitorSupport`

  - ### visitSpreadExpression

    public void visitSpreadExpression​(SpreadExpression expression)
    Specified by:
      `visitSpreadExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitSpreadExpression` in class `CodeVisitorSupport`

  - ### visitSpreadMapExpression

    public void visitSpreadMapExpression​(SpreadMapExpression expression)
    Specified by:
      `visitSpreadMapExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitSpreadMapExpression` in class `CodeVisitorSupport`

  - ### visitMethodPointerExpression

    public void visitMethodPointerExpression​(MethodPointerExpression expression)
    Specified by:
      `visitMethodPointerExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitMethodPointerExpression` in class `CodeVisitorSupport`

  - ### visitUnaryMinusExpression

    public void visitUnaryMinusExpression​(UnaryMinusExpression expression)
    Specified by:
      `visitUnaryMinusExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitUnaryMinusExpression` in class `CodeVisitorSupport`

  - ### visitUnaryPlusExpression

    public void visitUnaryPlusExpression​(UnaryPlusExpression expression)
    Specified by:
      `visitUnaryPlusExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitUnaryPlusExpression` in class `CodeVisitorSupport`

  - ### visitBitwiseNegationExpression

    public void visitBitwiseNegationExpression​(BitwiseNegationExpression expression)
    Specified by:
      `visitBitwiseNegationExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitBitwiseNegationExpression` in class `CodeVisitorSupport`

  - ### visitCastExpression

    public void visitCastExpression​(CastExpression expression)
    Specified by:
      `visitCastExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitCastExpression` in class `CodeVisitorSupport`

  - ### visitConstantExpression

    public void visitConstantExpression​(ConstantExpression expression)
    Specified by:
      `visitConstantExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitConstantExpression` in class `CodeVisitorSupport`

  - ### visitClassExpression

    public void visitClassExpression​(ClassExpression expression)
    Specified by:
      `visitClassExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitClassExpression` in class `CodeVisitorSupport`

  - ### visitVariableExpression

    public void visitVariableExpression​(VariableExpression expression)
    Specified by:
      `visitVariableExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitVariableExpression` in class `CodeVisitorSupport`

  - ### visitDeclarationExpression

    public void visitDeclarationExpression​(DeclarationExpression expression)
    Specified by:
      `visitDeclarationExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitDeclarationExpression` in class `CodeVisitorSupport`

  - ### visitPropertyExpression

    public void visitPropertyExpression​(PropertyExpression expression)
    Specified by:
      `visitPropertyExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitPropertyExpression` in class `CodeVisitorSupport`

  - ### visitAttributeExpression

    public void visitAttributeExpression​(AttributeExpression expression)
    Specified by:
      `visitAttributeExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitAttributeExpression` in class `CodeVisitorSupport`

  - ### visitFieldExpression

    public void visitFieldExpression​(FieldExpression expression)
    Specified by:
      `visitFieldExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitFieldExpression` in class `CodeVisitorSupport`

  - ### visitGStringExpression

    public void visitGStringExpression​(GStringExpression expression)
    Specified by:
      `visitGStringExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitGStringExpression` in class `CodeVisitorSupport`

  - ### visitCatchStatement

    public void visitCatchStatement​(CatchStatement statement)
    Specified by:
      `visitCatchStatement` in interface `GroovyCodeVisitor`
    Overrides:
      `visitCatchStatement` in class `CodeVisitorSupport`

  - ### visitArgumentlistExpression

    public void visitArgumentlistExpression​(ArgumentListExpression ale)
    Specified by:
      `visitArgumentlistExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitArgumentlistExpression` in class `CodeVisitorSupport`

  - ### visitClosureListExpression

    public void visitClosureListExpression​(ClosureListExpression cle)
    Specified by:
      `visitClosureListExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitClosureListExpression` in class `CodeVisitorSupport`

  - ### visitBytecodeExpression

    public void visitBytecodeExpression​(BytecodeExpression cle)
    Specified by:
      `visitBytecodeExpression` in interface `GroovyCodeVisitor`
    Overrides:
      `visitBytecodeExpression` in class `CodeVisitorSupport`